> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a store

> Permanently delete an edge storage store and all its data.
This action cannot be undone; all keys and values will be lost.



## OpenAPI

````yaml /api-reference/services_documented/fastedge_api.yaml delete /fastedge/v1/kv/{store_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: FastEdge Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: Apps
    x-displayName: Apps
  - description: >-
      Binaries are WebAssembly executables that are actually executed when app
      is ran.
    name: Binaries
    x-displayName: Binaries
  - description: Statistics of edge app use
    name: Stats
    x-displayName: Stats
  - description: Secret values that can be used in apps
    name: FastEdge Secrets
    x-displayName: Secrets
  - description: Key-value edge storage for apps
    name: Edge Storage
    x-displayName: Edge Storage
paths:
  /fastedge/v1/kv/{store_id}:
    delete:
      tags:
        - Edge Storage
      summary: Delete a store
      description: |-
        Permanently delete an edge storage store and all its data.
        This action cannot be undone; all keys and values will be lost.
      operationId: delStore
      parameters:
        - description: Id of the store
          in: path
          name: store_id
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '204':
          description: Edge store successfully deleted
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
        '404':
          description: Not found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/conflictError'
          description: Store referenced
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Service unavailable
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            client.fastedge.kv_stores.delete(
                0,
            )
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\terr := client.Fastedge.KvStores.Delete(context.TODO(), 0)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
components:
  schemas:
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
    conflictError:
      type: object
      required:
        - error
        - conflicting_ids
      properties:
        error:
          type: string
          description: Error message
        conflicting_ids:
          type: array
          items:
            type: integer
            format: int64
          description: List of conflicting entity IDs
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````